Album: Grim chain of feast
Date: November 25, 2021
Date Added: April 13, 2024
URLs:
- https://thehighblood.bandcamp.com/album/grim-chain-of-feast
Artists:
- Highblood
Track Artist Text: >-
  [[artist:xszelor]], as [[artist:highblood]]
Track Artists:
- Xszelor
- Highblood
Cover Artists:
- L1CH3N
Art Tags:
- The Grand Highblood
- 'cw: blood'
- 'cw: corpse'
Cover Art File Extension: png
Color: '#7ea299'
Groups:
- Xszelor
- Fandom
Commentary: |-
    <i>Xszelor:</i> ([Bandcamp about blurb](https://thehighblood.bandcamp.com/album/grim-chain-of-feast))

    Highblood debute album, powered by Homestucks community and okay most of my thoughts.<br>
    I thank the Honkful Messiah, Her Name and you guys.

    Nevermind im bored so i need to have a break - gon eat sum grubs, sed ya.
Crediting Sources: |-
    <i>Xszelor:</i> ([Bandcamp credits blurb](https://thehighblood.bandcamp.com/album/grim-chain-of-feast), excerpt)

    [[artist:xszelor]] - Guitar, Vocals.<br>
    [[artist:slambot-bro]] - Drums<br>
    My cat (actually) - semi Vocals<br>
    Album cover art by: [[artist:l1ch3n]]
---
Section: Main album
---
Track: Army of the Wicked God
Suffix Directory: true
Main Release: track:army-of-the-wicked-god
Duration: 3:10
URLs:
- https://thehighblood.bandcamp.com/track/army-of-the-wicked-god-2
---
Track: Horn and tentacle torture
Duration: 2:49
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/horn-and-tentacle-torture
Lyrics: |-
    Try to enjoy your torture
    Torment racks and ties of blood
    Defloration & Mutilation
    Abomination with Horns

    You can feel it anywhere
    In your fracture
    Mutilation of your eyes and guts
    We are wicked in resort
    In the combination
    To fustrate our wicked thoughts

    Our religion
    Is your pain

    Horn and Tentacle Torture
    Horn and Tentacle Torture

    Trying to run
    Trying to hide
    But damage is done
    And we got inside

    Horn and Tentacle Torture
    Horn and Tentacle Torture
    Horn and Tentacle Torture
    Horn and Tentacle Torture
---
Track: Grubgrinder
Duration: 3:16
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/grubgrinder
Lyrics: |-
    Protectors of the Blood Gods
    Terrifying monsters
    Resembleing Machine
    But no one heading back

    Terrorising damning and destroying all responses
    Mosterous Brutality, No one heading back
    And no one let them go
    They all begone

    Torment and Damage
    The rib cages crack
    No way out or else is death

    No one of you will see the day
    And no one daring or
    Will be flayed

    Grubgrinder
    Fueling rage
    Grubgrinder
    Rule up this stage
    Grubgrinder
    Fuel my mind
    Grubgrinder
    Lay down and die

    Malevolent Creation
    Oblitirates your soul
    See oblitiration and lose all cause of call
    Losing the deception
    Losing the perception
    Losing to resist
    And falling to the deceased

    You will see the stoned
    You will see the crowned
    You will recieve and see how all it done
    Learning to forgot
    Learning to be not
    Be Oblitirated
    And drowned into the force

    Grubgrinder
    Fueling rage
    Grubgrinder
    Rule up this stage
    Grubgrinder
    Fuel my mind
    Grubgrinder
    Lay down and die
---
Track: Marching shadows of her embrace
Duration: 3:29
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/marching-shadows-of-her-embrace
Lyrics: |-
    Driven by Blood
    Serving to the Throne
    All alone
    So bet be killed

    Burning hives
    So deciety in my mind
    Bet be deep

    And better be sign to you
    The Greater Empress
    I spill my blood for you
    Connected to the temperance

    All alone
    Filled with blood
    Listening to the crowd
    No way obeyance
    Waste all our will
    Or is to be death

    Connecting the force
    To imperial throne
    Connecting the claws
    To imperial drone

    Massive
    Killing
    Capacity of Hate
    For Your Name
---
Track: Cleanse the land - Hymnal psalm I
Duration: 4:28
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/cleanse-the-land-hymnal-psalm-i
---
Track: Remains of formed pain
Suffix Directory: true
Main Release: track:remains-of-formed-pain
Duration: 2:49
URLs:
- https://thehighblood.bandcamp.com/track/remains-of-formed-pain-2
---
Section: Bonus tracks
---
Track: Iron Savior, Iron Fiend, Iron Menace
Duration: 1:25
Contributors:
- Slambot-bro (drums)
Referenced Tracks:
- Iron Knight
URLs:
- https://thehighblood.bandcamp.com/track/iron-savior-iron-fiend-iron-menace-demo
---
Track: Buckets filled blood
Duration: 2:00
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/buckets-filled-blood-demo
---
Track: Imperial drone swarm assault
Duration: 2:22
Contributors:
- Slambot-bro (drums)
URLs:
- https://thehighblood.bandcamp.com/track/imperial-drone-swarm-assault-demo
